EddytorDocs & API
Tables

Delete unreferenced files older than the retention period

Removes Parquet files that are no longer referenced by any version of the Delta table and are older than the retention period. Use `dry_run: true` to preview which files would be deleted. **Required scope:** `tables:modify`

POST
/v1/tables/{catalog}/{schema}/{table_name}/vacuum

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Path Parameters

catalog*string
schema*string
table_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for the vacuum table endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tables/string/string/string/vacuum" \  -H "Content-Type: application/json" \  -d '{}'
{  "dryRun": true,  "filesDeleted": [    "string"  ],  "count": 0}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}